Skip to main content
GET
Get Command Status

Authorizations

X-API-KEY
string
header
required

Path Parameters

command_id
string
required

The UUID of the FFmpeg command to check status for

Query Parameters

presigned_ttl_seconds
integer | null

If set, output files that are private AND already stored return storage_url as a presigned URL valid for this many seconds. For any other file (public, not yet stored, or deleted) the default storage_url is returned unchanged. See the private files guide.

Required range: x <= 604800

Response

Successful Response

Response model for FFmpeg command status.

Contains information about the command execution status, any errors that occurred, output files generated, and the original request details.

command_id
string
required

Unique identifier for the submitted command

Example:

"123e4567-e89b-12d3-a456-426614174000"

environment_name
string | null
required

The environment this command was created in (e.g., 'main', 'test', 'dev').

Example:

"main"

status
enum<string>
required

Current status of the FFmpeg command

Available options:
QUEUED,
PROCESSING,
PREPARED_FFMPEG_COMMAND,
FAILED,
SUCCESS
Example:

"SUCCESS"

command_type
enum<string>
required

Type of command that was run

Available options:
FFMPEG_COMMAND,
FFMPEG_CHAINED_COMMANDS
Examples:

"FFMPEG_COMMAND"

"FFMPEG_CHAINED_COMMANDS"

original_request
Original Request · object
required

The original request that was sent to the server

Example:
processing_stage
enum<string> | null

Current processing stage of the command

Available options:
DOWNLOADING,
PREPARING_INPUT_FILES,
FFMPEG_PROCESSING,
UPLOADING
Example:

"DOWNLOADING"

error_status
string | null

Status of any error that occurred during command execution

Example:

"UNREACHABLE_INPUT_FILE"

error_message
string | null

Error details if the command failed

Example:

"Input file url https://rendi.dev/example does not have a valid file name in its' end."

total_processing_seconds
number | null

Processing time, in seconds, since receiving the command, this includes network times, parsing times, and FFMPEG command execution time

ffmpeg_command_run_seconds
number | null

The exact time the specific FFMPEG command took on our servers, in seconds

vcpu_count
integer | null

Number of virtual CPUs used for the command

output_files
Output Files · object | null

Dictionary mapping file aliases to their output file storage, for output folder, the key is 'OUTPUT_FOLDER'

Example:
processing_quota_used
number | null

Amount of processing quota used in MB

Required range: x >= 0
Example:

12.5

metadata
Metadata · object | null

Metadata stored with the command, used for custom tracking and reporting

Example: